RECAPLOG(8)

NAME

recaplog - Handles the logs generated by recap; compressing and/or deleting log files.

SYNOPSIS
recaptool [-n|-v|-h|-V]

DESCRIPTION
recaplog is a user-configurable script that runs periodically out of cron or systemd.timer to compress recap log files older than one day, and delete log files older than a configurable amount of days, recaplog will not produce output if a tty is not found, this is useful when running from cron.

OPTIONS

-h, --help
    Print out the help.

-n, --dry-run
    Performs a dry run, implies verbose.

-v, --verbose
    Prints to stdout.

-V, --version
    Print version and exit.

SETTINGS
These can be modified via the config file.

LOG_COMPRESS
    Enables(1) or disables(0) log compression. (default: 1)

LOG_EXPIRY
    Number of days held for the logs. (default: 15)

FILES
/etc/recap.conf - The configuration file.
/etc/cront.d/recap - The cronjob file.
/usr/lib/systemd/systemd/recaplog.{service,timer} - Unit files for recaplog.
/var/log/recap/recaplog.log - The recaplog file.

REPORTING BUGS
Bugs and issues to be submitted via github <https://github.com/rackerlabs/recap/issues>.

AUTHOR
The recap scripts are maintained by Rackspace, the list of contributors is available at https://github.com/rackerlabs/recap/blob/master/CHANGELOG.md#contributors.

SEE ALSO
recap.conf(5), recap(8), crontab(5), systemd.timer(5)